Bug 539549 - SELinux is preventing /usr/bin/xauth "write" access on /var/lib/nxserver/home.
Summary: SELinux is preventing /usr/bin/xauth "write" access on /var/lib/nxserver/home.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:a171ff0db3b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-20 14:48 UTC by Dawid Zamirski
Modified: 2009-12-02 04:39 UTC (History)
2 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-25 15:34:41 UTC


Attachments (Terms of Use)

Description Dawid Zamirski 2009-11-20 14:48:01 UTC
Summary:

SELinux is preventing /usr/bin/xauth "write" access on /var/lib/nxserver/home.

Detailed Description:

SELinux denied access requested by xauth. It is not expected that this access is
required by xauth and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023
Target Context                system_u:object_r:var_lib_t:s0
Target Objects                /var/lib/nxserver/home [ dir ]
Source                        xauth
Source Path                   /usr/bin/xauth
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xorg-x11-xauth-1.0.2-7.fc12
Target RPM Packages           freenx-server-0.7.3-15.fc12
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.x86_64
                              #1 SMP Sat Nov 7 21:11:14 EST 2009 x86_64 x86_64
Alert Count                   40
First Seen                    Fri 20 Nov 2009 09:36:30 AM EST
Last Seen                     Fri 20 Nov 2009 09:44:12 AM EST
Local ID                      297f0267-252c-4a40-9b16-d9cc6d06c569
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258728252.507:30428): avc:  denied  { write } for  pid=6152 comm="xauth" name="home" dev=dm-3 ino=140936 scontext=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 tcontext=system_u:object_r:var_lib_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1258728252.507:30428): arch=c000003e syscall=2 success=no exit=-13 a0=7fff65efcb20 a1=c1 a2=180 a3=8 items=0 ppid=6151 pid=6152 auid=492 uid=492 gid=480 euid=492 suid=492 fsuid=492 egid=480 sgid=480 fsgid=480 tty=(none) ses=27 comm="xauth" exe="/usr/bin/xauth" subj=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,xauth,xauth_t,var_lib_t,dir,write
audit2allow suggests:

#============= xauth_t ==============
allow xauth_t var_lib_t:dir write;

Comment 1 Daniel Walsh 2009-11-20 15:14:39 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-48.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:38:00 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:21:00 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Dawid Zamirski 2009-11-25 15:34:41 UTC
This is fixed in selinux-policy-3.6.32-49.fc12

Comment 5 Daniel Walsh 2009-11-25 15:58:28 UTC
Please provide feedback in #3

Comment 6 Dawid Zamirski 2009-11-25 16:49:48 UTC
(In reply to comment #5)
> Please provide feedback in #3  

Done, I didn't know that I can bump the karma twice :-)

Comment 7 Fedora Update System 2009-12-02 04:32:30 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.